package com.yijia.station.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 油品价格对象 station_oil_price
 * 
 * @author yijia
 * @date 2020-12-08
 */
public class StationOilPrice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 油品价格id */
    private Long oilPriceId;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 油品价格 */
    @Excel(name = "油品价格")
    private String oilPrice;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationNanme;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    public void setOilPriceId(Long oilPriceId) 
    {
        this.oilPriceId = oilPriceId;
    }

    public Long getOilPriceId() 
    {
        return oilPriceId;
    }
    public void setOilName(String oilName) 
    {
        this.oilName = oilName;
    }

    public String getOilName() 
    {
        return oilName;
    }
    public void setOilPrice(String oilPrice) 
    {
        this.oilPrice = oilPrice;
    }

    public String getOilPrice() 
    {
        return oilPrice;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationNanme(String stationNanme) 
    {
        this.stationNanme = stationNanme;
    }

    public String getStationNanme() 
    {
        return stationNanme;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("oilPriceId", getOilPriceId())
            .append("oilName", getOilName())
            .append("oilPrice", getOilPrice())
            .append("stationId", getStationId())
            .append("stationNanme", getStationNanme())
            .append("date", getDate())
            .toString();
    }
}
